Hello Everybody , i need to have some help because i would like to change the color of one entity polylign . First of all with an example :
- (defun c:essai () (setq pt1 (getpoint "\n first point ")) (setq pt2 (getpoint "\n second point ")) (command "polylign" pt1 pt2 "") (setq entCouleur (entget (entlast))) (setq essai(subst '(62 . 2) '(62 . 1) entCouleur)) )
I thinking to use the "subst" function to remplace the old color by the new color.
The replacement into the list it's done but the entity polylign stay with the first color. I don't know why?
And after, i would like to tell at the programm to replace the color of the polylign even if the first color isn't inform.
Thank you |